// Middle Section
MHeight = 100;

union() {
    difference() {
        cylinder(h = MHeight, r = MHeight/2, center = true, $fn = 128);
        cylinder(h = MHeight+0.1, r = MHeight * 0.35, center = true, $fn = 16);
    }
    
    // 3/4"
    translate([0,0,MHeight]) difference() {
        cylinder(h = MHeight/2, r = MHeight/2, center = true, $fn = 80);
        cylinder(h = MHeight/2+0.1, r = MHeight * 0.4, center = true, $fn = 128);
    }
    
    // Middle
    translate([0,0,MHeight/2]) difference() {
        cylinder(h = MHeight/2, r = MHeight/2, center = true, $fn = 8);
        cylinder(h = MHeight/2+0.1, r = MHeight * 0.4, center = true, $fn = 128);
    }

    translate([0,0,-MHeight/2]) difference() {
        cylinder(h = MHeight/2, r = MHeight/2, center = true, $fn = 8);
        cylinder(h = MHeight/2+0.1, r = MHeight * 0.4, center = true, $fn = 128);
    }
    
    // PET
    translate([0,0,-MHeight]) difference() {
        cylinder(h = MHeight/2, r2 = MHeight/2, r1 = MHeight, center = true, $fn = 80);
        cylinder(h = MHeight/2+0.1, r2 = MHeight * 0.4, r1 = MHeight * 0.8, center = true, $fn = 128);
    }
}




